Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Проблема с установкой hplip  (Прочитано 3520 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн aleksej-kokukhin

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Проблема с установкой hplip
« : 10 Апрель 2010, 09:38:41 »
Здравствуйте!

Купил новый принтер hp deskjet d2663, скачал с сайта производителя hplip-3.10.2.run

$~ sh hplip-3.10.2.run

..............................................
............... разная служебная инфотмация....
..........................................................................
................Важно следующее..........................

warning: There are 7 missing REQUIRED dependencies.
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency: gcc (gcc - GNU Project C and C++ Compiler)
warning: This installer cannot install 'gcc' for your distro/OS and/or version.
error: Installation cannot continue without this dependency. Please manually install this dependency and re-run this installer

Получается что у мне нужно установить пакет gcc.
Но он у меня установлен!

Если кто может помогите, пожалуйста разобраться.


Оффлайн UnnamedUser

  • Активист
  • *
  • Сообщений: 287
    • Просмотр профиля
Re: Проблема с установкой hplip
« Ответ #1 : 10 Апрель 2010, 11:12:53 »
а может попробовать...его обновить? ???

Оффлайн arrecck

  • Старожил
  • *
  • Сообщений: 1726
    • Просмотр профиля
Re: Проблема с установкой hplip
« Ответ #2 : 10 Апрель 2010, 11:28:58 »
во первых он есть в готовом виде
apt-cache search hplip
hpijs - HP Linux Printing and Imaging - gs IJS driver (hpijs)
hpijs-ppds - HP Linux Printing and Imaging - HPIJS PPD files
hplip - HP Linux Printing and Imaging System (HPLIP)
hplip-cups - HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
hplip-data - HP Linux Printing and Imaging - data files
hplip-dbg - HP Linux Printing and Imaging - debugging information
hplip-doc - HP Linux Printing and Imaging - documentation
libhpmud-dev - HP Multi-Point Transport Driver (hpmud) development libraries
libhpmud0 - HP Multi-Point Transport Driver (hpmud) run-time libraries
openprinting-ppds - OpenPrinting printer support - PostScript PPD files
pxljr - Driver for HP's Color LaserJet 35xx/36xx color laser printers
hplip-gui - HP Linux Printing and Imaging - GUI utilities
так что можно просто его поставить
во вторых если ставить с оф сайта можно выполнить
sudo apt-get update
sudo apt-get build-dep hplip

Оффлайн aleksej-kokukhin

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблема с установкой hplip
« Ответ #3 : 10 Апрель 2010, 15:03:50 »
В репозитории hplip только версии 3.9.2 для данного принтера нужна версия не ниже 3.10, поэтому с через synaptic не получается.
А gcc тоже стоит самый последний какой есть в репозитарии.

Оффлайн arrecck

  • Старожил
  • *
  • Сообщений: 1726
    • Просмотр профиля
Re: Проблема с установкой hplip
« Ответ #4 : 10 Апрель 2010, 16:04:07 »
в репах 10.04 смотри
apt-cache show hplip | grep Version
Version: 3.10.2-1ubuntu5
или качай с сайта
http://packages.ubuntu.com/lucid/hplip

Оффлайн armad

  • Активист
  • *
  • Сообщений: 629
    • Просмотр профиля
Re: Проблема с установкой hplip
« Ответ #5 : 10 Апрель 2010, 16:51:46 »
Буквально час назад скачал hplip-3.10.2.run с оф.сайта. в терминале дал команду sh hplip-3.10.2.run
Установилось, просило пароль рута - дал. Сообщило о нерешенных зависимостях - сеть есть - скачало само.
Все работает.

Пользователь решил продолжить мысль 10 Апрель 2010, 16:54:26:
Снеси в синаптике gcc да поставь заново + dev (вроде бы хватит пакета build-essential)
« Последнее редактирование: 10 Апрель 2010, 16:54:26 от armad »
Ubuntu 10.04. 2.6.35-25-generic-pae Проблем нет.

 

Страница сгенерирована за 0.056 секунд. Запросов: 25.